# Interface Property<T extends Widget>

Type Parameters:
  `T` - the type of the widget the property is used for

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@NoImplement @NoExtend @FunctionalInterface public interface Property<T extends Widget>
Represents a property for widgets, like text, enabled state, image, ... Used to apply the property to the given widget in the `apply(Widget)` methods.

This is a functional interface whose functional method is `apply(Widget)`.

Since:
  3.18

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(T widget)`
Called when the widget is created and the property should be applied.

## Method Details

### apply

void apply(T widget)
Called when the widget is created and the property should be applied.